> ## Name

> cgGetNamedPass - get a technique pass by name

> ## Synopsis

>     #include <Cg/cg.h>

>     CGpass cgGetNamedPass( CGtechnique tech,
>                            const char * name );

> ## Parameters

> tech
>   The technique from which to retrieve the pass.
> name
>   The name of the pass to retrieve.

> ## Return Values

> Returns the named pass from the technique.

> Returns NULL if the technique has no pass corresponding to name.

> ## Description

> The passes of a technique can be retrieved directly by name using cgGetNamedPass. The names of the passes in a technique can be discovered by iterating through the technique's passes (see cgGetFirstPass and cgGetNextPass), calling cgGetPassName for each one in turn.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_TECHNIQUE_HANDLE_ERROR is generated if tech is not a valid technique.

> ## History

> cgGetNamedPass was introduced in Cg 1.4.

> ## See Also

> cgGetFirstPass, cgGetNextPass, cgGetPassName